Subject: Re: library ll could not be found
From: [email-masked] (Mumit Khan)

15 Sep 1998 06:10:08 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Richard Hellicar (EML)" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

On Mon, 14 Sep 1998, Richard Hellicar (EML) wrote:

> I'm trying to compile hp2xx using gcc egcs-1.0.2.
> 
> Compilation goes fine, but at run-time, I get an NT error message saying
> "The dynamic link library ll could not be found in the specified path".
> However, I do not reference a library called "libll" at link time:
> 
> gcc *.o  -L/usr/X11R6.3/lib -lX11 -lm -o hp2xx
> 
> Any ideas?  This didn't happen with b18's gcc.
> 

This is due to a bug in old binutils (dlltool specifically I believe) that
created the import libraries (libX11.a in this case). Re-create libX11.a
and you should be fine. I belive Arlindo da Silva has had the new ones on 
his site for a while now.

See http://dao.gsfc.nasa.gov/software/grads/win32/X11R6.3/ or somewhere
thereabouts.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".